﻿using System.Collections.Generic;
using NanoMvvm.Collections;

namespace NanoMvvm.Demo.Simple
{
    public class MainViewModel : WorkspaceViewModel
    {
        public MainViewModel()
        {
            Matches = new ObservableList<MatchViewModel>();
        }

        public ObservableList<MatchViewModel> Matches { get; set; }

        public void LoadMatches(IEnumerable<Match> data)
        {
            Matches.Clear(); 

            foreach (var match in data)
            {
                Matches.Add(new MatchViewModel(match));
            }
        }
    }
}