﻿using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;

namespace NanoMvvm.Collections
{
    public interface IReadOnlyObservableCollection<T> : IEnumerable<T>, INotifyCollectionChanged, INotifyPropertyChanged
    {
        int Count { get; }
        bool Contains(T item);
        void CopyTo(T[] array, int arrayIndex);
    }
}