﻿using System;

namespace NanoMvvm
{
    public interface IEventHandlerContainer<TSender, TArgs> where TSender : class where TArgs : EventArgs
    {
        void Invoke(TSender sender, TArgs args);

        Action<TSender, TArgs> ToDelegate();
    }
}