﻿namespace NanoMvvm
{
    public interface IWeakContainer
    {
        /// <summary>
        /// Gets a value indicating whether the target has not yet been garbage collected.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if the target has not yet been garbage collected; otherwise, <c>false</c>.
        /// </value>
        bool IsTargetAlive { get; }
    }
}