﻿namespace NanoMvvm
{
    /// <summary>
    /// Weak reference interface.
    /// </summary>
    public interface IWeakReference<T> : IWeakContainer
    {
        /// <summary>
        /// Gets the target of the weak reference. Will be <c>null</c> when the target is no longer alive.
        /// </summary>
        T Target { get; }
    }
}