﻿using System;

namespace NanoMvvm
{
    public class ItemEventArgs<T> : EventArgs
    {
        public ItemEventArgs(T item, bool automatic, bool clearing = false)
        {
            Item = item;
            AutomaticOperation = automatic;
            IsClearOperation = clearing;
        }

        public T Item { get; private set; }

        public bool IsClearOperation { get; private set; }

        public bool AutomaticOperation { get; private set; }
    }
}