﻿using System;

namespace NanoMvvm
{
    public class ItemOperationCancelEventArgs<T> : EventArgs
    {
        public ItemOperationCancelEventArgs(T item, bool automatic, bool clearing = false)
        {
            SelectionItem = item;
            AutomaticOperation = automatic;
            IsClearOperation = clearing;
        }

        public T SelectionItem { get; private set; }

        public bool Cancel { get; set; }

        public bool IsClearOperation { get; private set; }

        public bool AutomaticOperation { get; private set; }
    }
}