﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace NanoMvvm.ComponentModel
{
    internal interface IDynamicObject : INotifyPropertyChanged, IPropertyChangeSource
    {
        IEnumerable<PropertyDescriptor> GetDynamicPropertyDescriptors();
        IEnumerable<PropertyDescriptor> GetDynamicPropertyDescriptors(Attribute[] attributes);
    }
}