﻿using System;
using System.Threading;

namespace NanoMvvm.Demo.Simple.Utility
{
    public static class TimeHelper
    {
        [ThreadStatic]
        private static Timer timer;

        public static void Delay(int milliseconds)
        {
            var mre = new ManualResetEvent(false);

            timer = new Timer(SignalCallback, mre, milliseconds, Timeout.Infinite);

            mre.WaitOne();
        }

        private static void SignalCallback(object state)
        {
            var mre = (ManualResetEvent) state;

            mre.Set();
        }
    }
}